aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authornicowallmeier <>2006-07-18 17:04:55 +0000
committernicowallmeier <>2006-07-18 17:04:55 +0000
commitde297ad8d83417c67ee6d309830ed998ba848882 (patch)
tree35e9164971025fbd7f7aaaaa2595d1e0c15a69ac
parent577c0d8af3cc3a68e3572b125ad6a525ae32b92e (diff)
downloadlcd4linux-de297ad8d83417c67ee6d309830ed998ba848882.tar.gz
[lcd4linux @ 2006-07-18 17:04:55 by nicowallmeier]
Changed test for libmpd
-rwxr-xr-xconfigure27
-rw-r--r--plugins.m45
2 files changed, 17 insertions, 15 deletions
diff --git a/configure b/configure
index d52c165..0334214 100755
--- a/configure
+++ b/configure
@@ -8517,8 +8517,9 @@ cat >>confdefs.h <<\_ACEOF
_ACEOF
else
- { echo "$as_me:$LINENO: WARNING: linux/dvb/frontend.h header not found: dvb plugin disabled" >&5
-echo "$as_me: WARNING: linux/dvb/frontend.h header not found: dvb plugin disabled" >&2;}
+ PLUGINS="$PLUGINS plugin_dvb.o"
+ { echo "$as_me:$LINENO: WARNING: linux/dvb/frontend.h header not found: using ioctl" >&5
+echo "$as_me: WARNING: linux/dvb/frontend.h header not found: using ioctl" >&2;}
fi
fi
if test "$PLUGIN_EXEC" = "yes"; then
@@ -8925,13 +8926,13 @@ fi
done
if test "$has_libmpd_header" = "true"; then
- { echo "$as_me:$LINENO: checking for libmpd_init in -llibmpd" >&5
-echo $ECHO_N "checking for libmpd_init in -llibmpd... $ECHO_C" >&6; }
-if test "${ac_cv_lib_libmpd_libmpd_init+set}" = set; then
+ { echo "$as_me:$LINENO: checking for mpd_connect in -lmpd" >&5
+echo $ECHO_N "checking for mpd_connect in -lmpd... $ECHO_C" >&6; }
+if test "${ac_cv_lib_mpd_mpd_connect+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-llibmpd $LIBS"
+LIBS="-lmpd $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
@@ -8945,11 +8946,11 @@ cat >>conftest.$ac_ext <<_ACEOF
#ifdef __cplusplus
extern "C"
#endif
-char libmpd_init ();
+char mpd_connect ();
int
main ()
{
-return libmpd_init ();
+return mpd_connect ();
;
return 0;
}
@@ -8988,21 +8989,21 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_lib_libmpd_libmpd_init=yes
+ ac_cv_lib_mpd_mpd_connect=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_libmpd_libmpd_init=no
+ ac_cv_lib_mpd_mpd_connect=no
fi
rm -f core conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_libmpd_libmpd_init" >&5
-echo "${ECHO_T}$ac_cv_lib_libmpd_libmpd_init" >&6; }
-if test $ac_cv_lib_libmpd_libmpd_init = yes; then
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_mpd_mpd_connect" >&5
+echo "${ECHO_T}$ac_cv_lib_mpd_mpd_connect" >&6; }
+if test $ac_cv_lib_mpd_mpd_connect = yes; then
has_libmpd_lib="true"
else
has_libmpd_lib="false"
diff --git a/plugins.m4 b/plugins.m4
index 808eb36..e829e8d 100644
--- a/plugins.m4
+++ b/plugins.m4
@@ -175,7 +175,8 @@ if test "$PLUGIN_DVB" = "yes"; then
PLUGINS="$PLUGINS plugin_dvb.o"
AC_DEFINE(PLUGIN_DVB,1,[dvb plugin])
else
- AC_MSG_WARN(linux/dvb/frontend.h header not found: dvb plugin disabled)
+ PLUGINS="$PLUGINS plugin_dvb.o"
+ AC_MSG_WARN(linux/dvb/frontend.h header not found: using ioctl)
fi
fi
if test "$PLUGIN_EXEC" = "yes"; then
@@ -213,7 +214,7 @@ fi
if test "$PLUGIN_MPD" = "yes"; then
AC_CHECK_HEADERS(libmpd/libmpd.h, [has_libmpd_header="true"], [has_libmpd_header="false"])
if test "$has_libmpd_header" = "true"; then
- AC_CHECK_LIB(libmpd, libmpd_init, [has_libmpd_lib="true"], [has_libmpd_lib="false"])
+ AC_CHECK_LIB(mpd, mpd_connect, [has_libmpd_lib="true"], [has_libmpd_lib="false"])
if test "$has_libmpd_lib" = "true"; then
PLUGINS="$PLUGINS plugin_mpd.o"
PLUGINLIBS="$PLUGINLIBS -lmpd"